#include <ngtk/ngtk.h>
#include "ngtkdialog.h"

int inputbox(int height, int width, char *text, char *init)
{
	int blen = width - 4;
	int ret;
	char *ret_str = (char *)malloc(blen+1);
	char *buf;
	ngtk_win_t *wall;

	if (title == NULL)
		buf = "";
	else
		buf = title;

	wall = ngtk_push_win(LINES, COLS, 0, 0, YELLOW_F(BLUE_B), A_BOLD, 0, 0);
    ngtk_clrwin(wall->win, 32, 1);
	back_title(wall);

	if (init != (char *)NULL)
		strncpy(ret_str, init, blen);

	ngtk_auto_pos_getxtbox(height, width, blen, blen, BLACK_F(WHITE_B),
							A_NORMAL, WHITE_F(BLUE_B), A_BOLD, YELLOW_F(WHITE_B),
							A_BOLD, BLACK_F(WHITE_B), A_NORMAL, buf, text,
							ret_str);

	if (strcmp(ret_str, __ERR__)) {
		ret = -1;
        fprintf(stderr, ret_str);
	} else
		ret = 0;

	free(ret_str);
	return ret;
}
